Subject: Re: linux-next: build failure after merge of the drivers-x86 tree

From: Darren Hart <[email-masked]>
Date: Sun, 7 Jun 2015 21:27:33 -0700

On Thu, Jun 04, 2015 at 07:51:36PM +0200, Radim Krčmář wrote:
> 2015-06-04 18:13+1000, Stephen Rothwell:
> > After merging the drivers-x86 tree, today's linux-next build (x86_64 allmodconfig)
> > failed like this:
> > 
> > ERROR: "acpi_bus_get_status_handle" [drivers/platform/x86/pvpanic.ko] undefined!
> > 
> > Caused by commit b8f8cf6b02b6 ("pvpanic: handle missing _STA correctly").
> 
> Classic, I only built with Y, sorry.

While I, as a rule, build with both. My apologies for letting this slip through
into -next.

> 
> acpi_bus_get_status_handle is not exported, so a simple solution would
> be to make it so.  Or it's possible to rewrite the patch in a way that
> uses current infrastructure.
> 
> Would you prefer a patch to export it, a build fix on top of
> b8f8cf6b02b6 or a replacement patch?

I'll take the incremental below, but I will roll it into the existing one so
as not to break bisectability in Linus tree.

Thanks,

-- 
Darren Hart
Intel Open Source Technology Center